### Method

# Soup Multipart get_part

#### Declaration [src]

    gboolean
    soup_multipart_get_part (
      SoupMultipart* multipart,
      int part,
      SoupMessageHeaders** headers,
      GBytes** body
    )

#### Description [src]

Gets the indicated body part from `multipart`.

#### Parameters

`part`

  Type: `int`

  The part number to get (counting from 0)

`headers`

  Type: `SoupMessageHeaders`

  Return location for the MIME part headers.

  The argument will be set by the function.
  The data is owned by the caller of the function.

`body`

  Type: `GBytes`

  Return location for the MIME part body.

  The argument will be set by the function.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if `part` is out of range (in which case `headers` and `body` won’t be set)